CREATE TABLE atc_comp_pop_relations (
    COMPOSITE_POP_RELATIONSHIP_ID     NUMBER(18, 0) ,
    COMPOSITE_POP_RELATION_PUID       VARCHAR2(120)     NOT NULL,
    COMPOSITE_POP_RELATION_NAME       VARCHAR2(800) ,
    COMPOSITE_POP_RELATION_HREF       VARCHAR2(4000),
    COMPOSITE_POP_RELATION_VERSION    VARCHAR2(80)  ,
    AT_TYPE                           VARCHAR2(800) ,
    AT_BASE_TYPE                      VARCHAR2(800) ,
    AT_SCHEMA_LOCATION                VARCHAR2(4000),
    AT_REFERRED_TYPE                  VARCHAR2(800) ,
    RELATIONSHIP_TYPE_CODE            VARCHAR2(800) ,
    PROD_OFFER_PRICE_ID               NUMBER(18, 0)     NOT NULL,
    REF_ENT_BASE_TYPE                 VARCHAR2(400) ,
    ENTITY_NAME                       VARCHAR2(400)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    COMPOSITE_POP_RELATIONSHIP_ID     NUMBER(18, 0) ,
    COMPOSITE_POP_RELATION_PUID       VARCHAR2(120)     NOT NULL,
    COMPOSITE_POP_RELATION_NAME       VARCHAR2(800) ,
    COMPOSITE_POP_RELATION_HREF       VARCHAR2(4000),
    AT_TYPE                           VARCHAR2(800) ,
    AT_BASE_TYPE                      VARCHAR2(800) ,
    AT_SCHEMA_LOCATION                VARCHAR2(4000),
    AT_REFERRED_TYPE                  VARCHAR2(800) ,
    RELATIONSHIP_TYPE_CODE            VARCHAR2(800) ,
    PROD_OFFER_PRICE_ID               NUMBER(18, 0)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    REF_ENT_BASE_TYPE                 VARCHAR2(400) ,
    ENTITY_NAME                       VARCHAR2(400)     NOT NULL,
    COMPOSITE_POP_RELATION_VERSION    VARCHAR2(80)  ,
    CONSTRAINT pk_atc_comp_pop_relations PRIMARY KEY (COMPOSITE_POP_RELATIONSHIP_ID, COMPOSITE_POP_RELATIONSHIP_ID)
);
